package com.ruoyi.ems.service.impl;

import com.ruoyi.ems.domain.FdEnergyPriceConfig;
import com.ruoyi.ems.mapper.FdEnergyPriceConfigMapper;
import com.ruoyi.ems.service.IFdEnergyPriceConfigService;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 非电能源价格配置Service业务层处理
 *
 * @author ruoyi
 * @date 2025-08-16
 */
@Service
public class FdEnergyPriceConfigServiceImpl implements IFdEnergyPriceConfigService {
    @Autowired
    private FdEnergyPriceConfigMapper fdEnergyPriceConfigMapper;

    /**
     * 查询非电能源价格配置
     *
     * @param id 非电能源价格配置主键
     * @return 非电能源价格配置
     */
    @Override
    public FdEnergyPriceConfig selectConfigById(Long id) {
        return fdEnergyPriceConfigMapper.selectConfigById(id);
    }

    /**
     * 查询非电能源价格配置列表
     *
     * @param config 非电能源价格配置
     * @return 非电能源价格配置
     */
    @Override
    public List<FdEnergyPriceConfig> selectList(FdEnergyPriceConfig config) {
        return fdEnergyPriceConfigMapper.selectList(config);
    }

    @Override
    public FdEnergyPriceConfig selectByAreaCode(String areaCode, int meterCls) {
        FdEnergyPriceConfig param = new FdEnergyPriceConfig();
        param.setAreaCode(areaCode);
        param.setMeterCls(meterCls);
        List<FdEnergyPriceConfig> list = fdEnergyPriceConfigMapper.selectList(param);

        if (CollectionUtils.isEmpty(list)) {
            FdEnergyPriceConfig param1 = new FdEnergyPriceConfig();
            param.setAreaCode("-1");
            param.setMeterCls(meterCls);
            list = fdEnergyPriceConfigMapper.selectList(param);
        }

        return list.get(0);
    }

    /**
     * 新增非电能源价格配置
     *
     * @param config 非电能源价格配置
     * @return 结果
     */
    @Override
    public int insertConfig(FdEnergyPriceConfig config) {
        return fdEnergyPriceConfigMapper.insertConfig(config);
    }

    /**
     * 修改非电能源价格配置
     *
     * @param config 非电能源价格配置
     * @return 结果
     */
    @Override
    public int updateConfig(FdEnergyPriceConfig config) {
        return fdEnergyPriceConfigMapper.updateConfig(config);
    }

    /**
     * 删除非电能源价格配置信息
     *
     * @param id 非电能源价格配置主键
     * @return 结果
     */
    @Override
    public int deleteById(Long id) {
        return fdEnergyPriceConfigMapper.deleteById(id);
    }
}
